# $Revision: 1.7 $, $Date: 2001/12/07 13:05:29 $
Summary:	A utility for managing .Xauthority files
Summary(de):	Red Hat X-Autoritts-Utility
Summary(es):	Utilitario de Autorizacin X
Summary(fr):	Utilitaire Red Hat pour les permissions X
Summary(ja):	.Xauthority ե뤿Υ桼ƥƥ
Summary(pl):	Narzdzie do zarzdzania plikami .Xauthority
Summary(pt_BR):	Utilitrio de Autorizao X
Summary(tr):	Red Hat X yetki arac
Name:		mkxauth
Version:	1.7
Release:	17
License:	GPL
Group:		X11/Applications
Group(de):	X11/Applikationen
Group(pl):	X11/Aplikacje
Source0:	%{name}
Source1:	%{name}.1x
BuildArch:	noarch
Requires:	/usr/X11R6/bin/xauth textutils fileutils sh-utils procps gzip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
The mkxauth utility helps create and maintain X authentication
databases (.Xauthority files). Mkxauth is used to create an
.Xauthority file or to merge keys from another local or remote
.Xauthority file. .Xauthority files are used by the xauth
user-oriented access control program, which grants or denies access to
X servers based on the contents of the .Xauthority file.

The mkxauth package should be installed if you're going to use
user-oriented access control to provide security for your X Window
System (a good idea).

%description -l de

kxauth' hilft beim Erstellen und Verwalten von X-Authentifizierungs-
Datenbanken (.Xauthority-Dateien). Sie knnen eine ~/.Xauthority-Datei
erstellen oder Schlssel aus einer anderen lokalen oder entfernten
.Xauthority- Datei einfgen. .Xauthority-Dateien knnen ber ftp (mit
ncftp) oder rsh wiederhergestellt werden. Aus Sicherheitsgrnden
erstellt mkxauth keine Temporrdateien, die
Authentifizierungsschlssel enthalten.

%description -l es
'mkxauth' ayuda en la creacin y manutencin de bancos de datos de
autentificacin X (archivos .Xauthority). salo para crear un archivo
~/.Xauthority o para unir una llave de otro local o archivo
.Xauthority remoto. Se pueden recuperar archivos remotos .Xauthority
va ftp (usando ncftp) o va rsh. Por seguridad, mkxauth no crea
cualquier de los archivos temporales conteniendo llaves de
autentificacin.

%description -l fr
mkxauth aide  la cration et la maintenance des bases de donnes
d'authentification X (fichiers .Xauthority). Utilisez le pour crer un
fichier ~/.Xauthority ou pour fusionner des cls  partir d'un autre
fichier .Xauthority, local ou distant. Les fichiers .Xauthority
distants peuvent tre obtenus via ftp (avec ncftp) ou via rsh. Pour
des raisons de scurit, mkxauth ne cre pas de fichiers temporaires
contenant les cls d'authentification.

%description -l ja
mkxauth 桼ƥƥ X ǧڥǡ١ ( .Xauthority ե )
 ޤmkxauth  .Xauthority ե
ޤϥ⡼Ȥ .Xauthority
եθѤޤ .Xauthority
եϡƤ˴Ť X ФؤΥ
ݤ򤹤롢桼ظΥȥץǤ
xauth Ѥޤ

X ɥƥ˥ƥ󶡤뤿˥桼ظ
ȥѤ褦ȤΤʤ顢mkxauth ѥå
󥹥ȡ뤵٤Ǥ (ƤϤ褤ͤǤ)

%description -l pl
Narzdzie mkxauth pomaga tworzy i zarzdza bazami danych
autentykacji X (plikami .Xauthority). mkxauth jest uywany do
tworzenia pliku .Xauthority oraz doczania kluczy z innego lokalnego
lub zdalnego pliku .Xauthority. Pliki .Xauthority s uywane przez
program kontroli dostpu xauth, pozwalajcy lub nie na dostp do X
serwerw na podstawie zawartoci pliku .Xauthrity.

%description -l pt_BR
'mkxauth' ajuda na criao e manuteno de bancos de dados de
autenticao X (arquivos .Xauthority). Use-o para criar um arquivo
~/.Xauthority ou para unir uma chaves de outro local ou arquivo
.Xauthority remoto. Arquivos remotos .Xauthority podem ser recuperados
via ftp (usando ncftp) ou via rsh. Por segurana, mkxauth no cria
quaisquer arquivos temporrios contendo chaves de autenticao.

%description -l tr
mkxauth, X yetki veritabanlarnn (.Xauthority dosyalar)
oluturulmas ve bakmnda yardmc olur. Gvenlik asndan mkxauth,
yetki anahtarlar ieren geici dosyalar oluturmaz.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}/{bin,man/man1}

install %{SOURCE0} $RPM_BUILD_ROOT%{_bindir}/mkxauth
install %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1/mkxauth.1x

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mkxauth
%{_mandir}/man1/mkxauth*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mkxauth.spec,v $
Revision 1.7  2001/12/07 13:05:29  kloczek
- added empty %prep.

Revision 1.6  2001/11/12 15:22:41  kloczek
- bump release to 17,
- merge translations from CNV, Kondra and old Bero translations too.

Revision 1.5  2001/11/12 13:56:55  qboosh
- Group=X11/Applications, adapterized, pl translations, fixed install/files

Revision 1.4  2000/11/28 16:19:59  dobrek
-mkxauth.1x changed to mkxauth*

Revision 1.3  2000/04/10 17:06:17  baggins
- more spelling fixes

Revision 1.2  2000/04/01 11:14:54  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.1  1999/08/19 20:07:26  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Tue Jan 19 1999 Michael K. Johnson <johnsonm@redhat.com>
- rebuild, change spec file name

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added more dependency information.

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
